{{page-title this.model.user.username " | " (capitalize (t "account"))}}

<div class="container-fluid mb-5">

  <Manage::Header @title={{t "edit user"}}>
    <Breadcrumbs @value={{this.breadcrumbs}} />
  </Manage::Header>

  <div class="row">
    <div class="col">
      <h2>
        {{#if @model.user.isAdmin}}
          <span class="small admin-icon" data-toggle="tooltip" data-placement="top" title="Administrator">
            <FaIcon @icon="user-tie" />
          </span>
        {{/if}}

        {{capitalize (t "public profile")}}
      </h2>

      <UserProfileForm @detailedLocation={{this.detailedLocation}} @profile={{@model.profile}} @onUpdate={{this.update}} @createImage={{this.createImage}} />
    </div>
  </div>

  <hr class="mt-5 border-dark opacity-100" />

  <div class="row">
    <div class="col">
      <h2 class="mt-5 capitalize-first-letter">
        {{capitalize (t "account info")}}
      </h2>

      <UserAccountForm @profile={{@model.profile}} @user={{@model.user}} @onUpdate={{this.updateAccount}} />
    </div>
  </div>

  <hr class="mt-5 border-dark opacity-100" />

  <div class="row">
    <div class="col">
      <h2 class="mt-5 capitalize-first-letter">
        {{capitalize (t "change password")}}
      </h2>

      <UserChangePassword @user={{@model.user}} @onUpdate={{this.changePassword}} />
    </div>
  </div>

  <hr class="mt-5 border-dark opacity-100" />

  <div class="row">
    <div class="col">
      <h2 class="mt-5 capitalize-first-letter">{{t "role"}}</h2>
      <p class="role-text">
        {{#if this.model.user.isAdmin}}
          <MarkDown @value={{t "user is admin" name=@model.profile.fullName}} />
        {{else}}
          <MarkDown @value={{t "user is regular user" name=@model.profile.fullName}} />
        {{/if}}
      </p>

      {{#if this.canRemoveAccount}}
        {{#if @model.user.isAdmin}}
          <button type="button" class="btn btn-user-rights {{if this.isRoleError 'btn-danger' 'btn-warning'}}" {{on "click" this.downgrade}} disabled={{this.isRoleLoading}}>
            {{#if this.isRoleLoading}}
              <FaIcon @icon="spinner" @spin={{true}} />
            {{else}}
              <FaIcon @icon="user" />
            {{/if}}

            {{capitalize (t "downgrade to regular user")}}
          </button>
        {{else}}
          <button type="button" class="btn btn-user-rights {{if this.isRoleError 'btn-danger' 'btn-warning'}}" {{on "click" this.promote}} disabled={{this.isRoleLoading}}>
            {{#if this.isRoleLoading}}
              <FaIcon @icon="spinner" @spin={{true}} />
            {{else}}
              <FaIcon @icon="user-tie" />
            {{/if}}
            {{capitalize (t "promote to admin")}}
          </button>
        {{/if}}
      {{else}}
        <p class="downgrade-message">
          {{t "admin-delete-account-message"}}
        </p>
      {{/if}}
    </div>
  </div>

  <hr class="mt-5 border-dark opacity-100" />

  <div class="row">
    <div class="col">
      <h2 class="mt-5 capitalize-first-letter">{{t "delete account" size=1}}</h2>
      {{#if this.canRemoveAccount}}
        <button type="button" class="btn btn-danger btn-delete-account" {{on "click" this.delete}}>{{capitalize (t "delete account" size=1)}}</button>
      {{else}}
        <p class="delete-message">
          {{t "admin-delete-account-message"}}
        </p>
      {{/if}}
    </div>
  </div>
</div>